backend:
  name: git-gateway
  branch: main

media_folder: "/public/assets/images"
public_folder: "/public/assets/images"

collections:
  - name: "blog" # Used in routes, e.g., /admin/collections/blog
    label: "Blog" # Used in the UI
    folder: "src/content/blog" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "pubDatetime", widget: "datetime" }
      - { label: "Modfiy date", name: "modDatetime", widget: "datetime" }
      - { label: "Description", name: "description", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown" }
      - { label: "Tags", name: "tags", widget: "list" }
      - { label: "Author", name: "author", widget: "string" }
      - { label: "Slug", name: "slug", widget: "string" }
      - {
          label: "Featured",
          name: "featured",
          widget: "boolean",
          default: false,
        }
      - { label: "Draft", name: "draft", widget: "boolean", default: false }
